Bug 688959

Summary: Remove hal dependency
Product: [Fedora] Fedora Reporter: Nicola Soranzo <nsoranzo>
Component: lxsessionAssignee: Christoph Wickert <cwickert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cwickert
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: lxsession-0.4.5-3.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-24 20:23:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nicola Soranzo 2011-03-18 12:32:59 EDT
Description of problem:
According to this upstream bug report:

http://sourceforge.net/tracker/index.php?func=detail&aid=2987941&group_id=180858&atid=894872

lxsession doesn't require HAL anymore since version 0.4.5 .  Since HAL has been deprecated for 2 years, Fedora is trying to remove it from the distribution:

https://fedoraproject.org/wiki/Features/HalRemoval

I tried to remove the line:

Requires:       hal

from lxsession.spec and the package builds correctly.
I don't use LXDE, so I haven't tested it.

Version-Release number of selected component (if applicable):
lxsession-0.4.5-2.fc15
Comment 1 Fedora Update System 2011-03-24 20:16:46 EDT
lxsession-0.4.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lxsession-0.4.5-3.fc15
Comment 2 Fedora Update System 2011-03-28 23:54:39 EDT
lxsession-0.4.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.